cURL
curl --request GET \ --url https://api.paycrest.io/v1/sender/orders/{id} \ --header 'API-Key: <api-key>'
{ "status": "success", "message": "Operation successful", "data": { "id": "<string>", "amount": "<string>", "amountInUsd": "<string>", "amountPaid": "<string>", "amountReturned": "<string>", "token": "<string>", "senderFee": "<string>", "transactionFee": "<string>", "rate": "<string>", "network": "ethereum", "gatewayId": "<string>", "recipient": { "institution": "<string>", "accountIdentifier": "<string>", "accountName": "<string>", "memo": "<string>", "providerId": "<string>", "metadata": {}, "currency": "<string>" }, "fromAddress": "<string>", "returnAddress": "<string>", "refundAddress": "<string>", "receiveAddress": "<string>", "feeAddress": "<string>", "reference": "<string>", "orderType": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "txHash": "<string>", "status": "<string>", "transactionLogs": [ { "id": "<string>", "gateway_id": "<string>", "status": "<string>", "tx_hash": "<string>", "created_at": "2023-11-07T05:31:56Z" } ] } }
Documentation IndexFetch the complete documentation index at: https://docs.paycrest.io/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.paycrest.io/llms.txt
Use this file to discover all available pages before exploring further.
Payment order
"success"
"Operation successful"
The actual response data (e.g., ReceiveAddressResponse, etc.)
Show child attributes